{
    "name": "mifi Ventures Landing",
    "dockerFile": "Dockerfile",
    "workspaceFolder": "/workspaces/mifi-ventures-landing",
    "workspaceMount": "source=${localWorkspaceFolder},target=/workspaces/mifi-ventures-landing,type=bind",
    "runArgs": ["-u", "root"],
    "remoteUser": "root",
    "postCreateCommand": "pnpm install",
    "forwardPorts": [5173, 4173],
    "portsAttributes": {
        "5173": {
            "label": "Dev (Vite)",
            "onAutoForward": "notify"
        },
        "4173": {
            "label": "Preview (Vite)",
            "onAutoForward": "notify"
        }
    },
    "customizations": {
        "vscode": {
            "extensions": [
                "dbaeumer.vscode-eslint",
                "esbenp.prettier-vscode",
                "rvest.vs-code-prettier-eslint",
                "yoavbls.pretty-ts-errors",
                "svelte.svelte-vscode"
            ],
            "settings": {
                "files.associations": {
                    "*.html": "html",
                    "*.css": "css",
                    "*.svg": "svg"
                },
                "editor.formatOnSave": true,
                "editor.defaultFormatter": "esbenp.prettier-vscode",
                "files.watcherExclude": {
                    "**/node_modules/**": true,
                    "**/.git/objects/**": true
                }
            }
        }
    }
}
